Skip to main content
POST
/
remittance_account_enrollments
Create a remittance account enrollment
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/remittance_account_enrollments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "remittance_account_id": "<id>",
  "work_assignment_id": "<id>",
  "effective_from": "2025-01-01"
}
'
{
  "id": "<id>",
  "object": "remittance_account_enrollment",
  "data": {
    "remittance_account": {
      "id": "<id>",
      "object": "remittance_account",
      "links": {
        "self": "/remittance_accounts/<id>"
      }
    },
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "effective_from": "2025-01-01",
    "effective_to": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/remittance_account_enrollments/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
remittance_account_id
string
required
work_assignment_id
string
required
effective_from
string<date>
required
effective_to
string<date>
overlap_strategy
enum<string>

When set to replace_existing, overlapping enrollments for the same work assignment and account provider are resolved automatically instead of returning a validation error. Existing enrollments that started before the new effective_from are ended (their effective_to is set to the day before), and overlapping enrollments that start on or after the new effective_from are deleted.

Available options:
replace_existing

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("remittance_account_enrollment").

data
Remittance Account Enrollment · object